package com.dgtly.wxportal.service.impl;

import java.util.List;
import com.dgtly.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dgtly.wxportal.mapper.WxSendMessageMapper;
import com.dgtly.wxportal.domain.WxSendMessage;
import com.dgtly.wxportal.service.IWxSendMessageService;
import com.dgtly.common.core.text.Convert;

/**
 * 企业微信发送消息历史记录Service业务层处理
 * 
 * @author qxp
 * @date 2020-09-02
 */
@Service
public class WxSendMessageServiceImpl implements IWxSendMessageService 
{
    @Autowired
    private WxSendMessageMapper wxSendMessageMapper;

    /**
     * 查询企业微信发送消息历史记录
     * 
     * @param id 企业微信发送消息历史记录ID
     * @return 企业微信发送消息历史记录
     */
    @Override
    public WxSendMessage selectWxSendMessageById(Long id)
    {
        return wxSendMessageMapper.selectWxSendMessageById(id);
    }

    /**
     * 查询企业微信发送消息历史记录列表
     * 
     * @param wxSendMessage 企业微信发送消息历史记录
     * @return 企业微信发送消息历史记录
     */
    @Override
    public List<WxSendMessage> selectWxSendMessageList(WxSendMessage wxSendMessage)
    {
        return wxSendMessageMapper.selectWxSendMessageList(wxSendMessage);
    }

    /**
     * 新增企业微信发送消息历史记录
     * 
     * @param wxSendMessage 企业微信发送消息历史记录
     * @return 结果
     */
    @Override
    public int insertWxSendMessage(WxSendMessage wxSendMessage)
    {
        wxSendMessage.setCreateTime(DateUtils.getNowDate());
        return wxSendMessageMapper.insertWxSendMessage(wxSendMessage);
    }

    /**
     * 修改企业微信发送消息历史记录
     * 
     * @param wxSendMessage 企业微信发送消息历史记录
     * @return 结果
     */
    @Override
    public int updateWxSendMessage(WxSendMessage wxSendMessage)
    {
        wxSendMessage.setUpdateTime(DateUtils.getNowDate());
        return wxSendMessageMapper.updateWxSendMessage(wxSendMessage);
    }

    /**
     * 删除企业微信发送消息历史记录对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteWxSendMessageByIds(String ids)
    {
        return wxSendMessageMapper.deleteWxSendMessageByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除企业微信发送消息历史记录信息
     * 
     * @param id 企业微信发送消息历史记录ID
     * @return 结果
     */
    @Override
    public int deleteWxSendMessageById(Long id)
    {
        return wxSendMessageMapper.deleteWxSendMessageById(id);
    }
}
